/*
 * Class EV_LIST_ITEM_LIST_ACTION_SEQUENCES
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_187 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_187 [] = {0xFF01,1551,186,0xFFFF};
static const EIF_TYPE_INDEX egt_2_187 [] = {0xFF01,186,0xFFFF};
static const EIF_TYPE_INDEX egt_3_187 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_187 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_187 [] = {0xFF01,186,0xFFFF};
static const EIF_TYPE_INDEX egt_6_187 [] = {0xFF01,186,0xFFFF};
static const EIF_TYPE_INDEX egt_7_187 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_187 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_187 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_187 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_187 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_187 [] = {0xFF01,186,0xFFFF};
static const EIF_TYPE_INDEX egt_13_187 [] = {0xFF01,445,0xFFFF};
static const EIF_TYPE_INDEX egt_14_187 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_15_187 [] = {0xFF01,654,0xFFFF};


static const struct desc_info desc_187[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_187), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_187), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_187), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_187), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_187), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_187), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_187), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_187), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_187), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_187), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_187), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_187), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0175 /*186*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_187), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_187), 4554, 0},
	{EIF_GENERIC(egt_14_187), 4555, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_187), 4556, 0xFFFFFFFF},
};
void Init187(void)
{
	IDSC(desc_187, 0, 186);
	IDSC(desc_187 + 1, 1, 186);
	IDSC(desc_187 + 32, 1407, 186);
}


#ifdef __cplusplus
}
#endif
